Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.persistence
Interface KodoEntityManager

All Superinterfaces:
  org.apache.openjpa.kernel.AutoClear, org.apache.openjpa.kernel.AutoDetach, org.apache.openjpa.event.CallbackModes, org.apache.openjpa.lib.util.Closeable, Connection, org.apache.openjpa.kernel.ConnectionRetainModes, org.apache.openjpa.kernel.DetachState, EntityManager, EntityTransaction, LocalTransaction, org.apache.openjpa.persistence.OpenJPAEntityManager, org.apache.openjpa.kernel.RestoreState

Deprecated.

    public interface KodoEntityManager

extends org.apache.openjpa.persistence.OpenJPAEntityManager

Redefines OpenJPA EntityManager for backward compatibility with published Kodo-specific 4.0 API.

Since:
  4.1

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.ConnectionRetainModes
`CONN_RETAIN_ALWAYS, CONN_RETAIN_DEMAND, CONN_RETAIN_TRANS`

Fields inherited from interface org.apache.openjpa.kernel.DetachState
`DETACH_ALL, DETACH_FGS, DETACH_LOADED`

Fields inherited from interface org.apache.openjpa.kernel.RestoreState
`RESTORE_ALL, RESTORE_IMMUTABLE, RESTORE_NONE`

Fields inherited from interface org.apache.openjpa.kernel.AutoDetach
`DETACH_CLOSE, DETACH_COMMIT, DETACH_NONTXREAD`

Fields inherited from interface org.apache.openjpa.kernel.AutoClear
`CLEAR_ALL, CLEAR_DATASTORE`

Fields inherited from interface org.apache.openjpa.event.CallbackModes
`CALLBACK_FAIL_FAST, CALLBACK_IGNORE, CALLBACK_LOG, CALLBACK_RETHROW, CALLBACK_ROLLBACK`

Method Summary
`
`<T> Extent<T>`
` | `createExtent(Class<T> cls, boolean subs)` Deprecated. Return an extent of the given class, optionally including subclasses.
`KodoQuery` | `createNamedQuery(String name)` Deprecated.
`KodoQuery` | `createNativeQuery(String sql)` Deprecated.
`KodoQuery` | `createNativeQuery(String sql, Class resultClass)` Deprecated.
`KodoQuery` | `createNativeQuery(String sql, String resultMapping)` Deprecated.
`KodoQuery` | `createQuery(String query)` Deprecated.
`KodoQuery` | `createQuery(String language, String query)` Deprecated. Create a new query in the given language.
`KodoEntityManagerFactory` | `getEntityManagerFactory()` Deprecated. Return the factory that produced this entity manager.
`FetchPlan` | `getFetchPlan()` Deprecated. Return the (mutable) fetch plan for loading objects from this entity manager.
`Generator` | `getFieldGenerator(Class forClass, String fieldName)` Deprecated. Returns a `Generator` for the generated values of the specified type, or null if the field is not generated.
`Generator` | `getIdGenerator(Class forClass)` Deprecated. Returns a `Generator` for the datastore identity values of the specified type, or null if the type is unmanaged or its identity cannot be represented by a sequence.
`Generator` | `getNamedGenerator(String name)` Deprecated. Return the named generator defined in the metadata.

Methods inherited from interface org.apache.openjpa.persistence.OpenJPAEntityManager
`addLifecycleListener, addTransactionListener, beginStore, cancelAll, commitAndResume, containsAll, containsAll, createInstance, createQuery, detach, detachAll, detachAll, dirty, dirtyClass, evict, evictAll, evictAll, evictAll, evictAll, evictAll, findAll, findAll, findCached, getAutoClear, getAutoDetach, getClassLoader, getConfiguration, getConnection, getConnectionPassword, getConnectionRetainMode, getConnectionUserName, getDetachState, getDirtyObjects, getEvictFromStoreCache, getIgnoreChanges, getLifecycleListenerCallbackMode, getLockMode, getManagedObjects, getManagedRuntime, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getObjectId, getObjectIdClass, getOptimistic, getOrderDirtyObjects, getPendingTransactionalObjects, getPersistedClasses, getPopulateStoreCache, getRemovedClasses, getRestoreState, getRetainState, getRollbackOnly, getSyncWithManagedTransactions, getTransactionalObjects, getTransactionListenerCallbackMode, getUpdatedClasses, getUserObject, getVersion, isDetached, isDirty, isLargeTransaction, isManaged, isNewlyPersistent, isPersistent, isRemoved, isStoreActive, isTransactional, lock, lock, lockAll, lockAll, lockAll, lockAll, mergeAll, mergeAll, nontransactional, nontransactionalAll, nontransactionalAll, persistAll, persistAll, preFlush, putUserObject, refreshAll, refreshAll, refreshAll, release, releaseAll, releaseAll, releaseSavepoint, releaseSavepoint, removeAll, removeAll, removeLifecycleListener, removeTransactionListener, retrieve, retrieveAll, retrieveAll, rollbackAndResume, rollbackToSavepoint, rollbackToSavepoint, setAutoClear, setAutoDetach, setAutoDetach, setDetachState, setEvictFromStoreCache, setIgnoreChanges, setLargeTransaction, setLifecycleListenerCallbackMode, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setOrderDirtyObjects, setPopulateStoreCache, setRestoreState, setRetainState, setRollbackOnly, setSavepoint, setSyncWithManagedTransactions, setTransactionListenerCallbackMode, transactional, transactionalAll, transactionalAll, validateChanges`

Methods inherited from interface javax.persistence.EntityManager
`clear, close, contains, find, flush, getDelegate, getFlushMode, getReference, getTransaction, isOpen, joinTransaction, lock, merge, persist, refresh, remove, setFlushMode`

Methods inherited from interface javax.persistence.EntityTransaction
`begin, commit, isActive, rollback`

Methods inherited from interface javax.resource.cci.Connection
`close, createInteraction, getLocalTransaction, getMetaData, getResultSetInfo`

Methods inherited from interface javax.resource.cci.LocalTransaction
`begin, commit, rollback`

Methods inherited from interface javax.resource.spi.LocalTransaction
`begin, commit, rollback`

Methods inherited from interface org.apache.openjpa.lib.util.Closeable
`close`

Method Detail

### getEntityManagerFactory

    KodoEntityManagerFactory getEntityManagerFactory()

  Deprecated.
  Return the factory that produced this entity manager.

  Specified by:
    `getEntityManagerFactory` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### getFetchPlan

    FetchPlan getFetchPlan()

  Deprecated.
  Return the (mutable) fetch plan for loading objects from this entity manager.

  Specified by:
    `getFetchPlan` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### getNamedGenerator

    Generator getNamedGenerator(String name)

  Deprecated.
  Return the named generator defined in the metadata.

  Specified by:
    `getNamedGenerator` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### getIdGenerator

    Generator getIdGenerator(Class forClass)

  Deprecated.
  Returns a `Generator` for the datastore identity values of the specified type, or null if the type is unmanaged or its identity cannot be represented by a sequence.

  Specified by:
    `getIdGenerator` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### getFieldGenerator

    Generator getFieldGenerator(Class forClass,
                                String fieldName)

  Deprecated.
  Returns a `Generator` for the generated values of the specified type, or null if the field is not generated.

  Specified by:
    `getFieldGenerator` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### createExtent

    <T> Extent<T> createExtent(Class<T> cls,
                               boolean subs)

  Deprecated.
  Return an extent of the given class, optionally including subclasses.

  Specified by:
    `createExtent` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### createQuery

    KodoQuery createQuery(String query)

  Deprecated.
  Specified by:
    `createQuery` in interface `EntityManager`
  Specified by:
    `createQuery` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### createNamedQuery

    KodoQuery createNamedQuery(String name)

  Deprecated.
  Specified by:
    `createNamedQuery` in interface `EntityManager`
  Specified by:
    `createNamedQuery` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### createNativeQuery

    KodoQuery createNativeQuery(String sql)

  Deprecated.
  Specified by:
    `createNativeQuery` in interface `EntityManager`
  Specified by:
    `createNativeQuery` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### createNativeQuery

    KodoQuery createNativeQuery(String sql,
                                Class resultClass)

  Deprecated.
  Specified by:
    `createNativeQuery` in interface `EntityManager`
  Specified by:
    `createNativeQuery` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### createNativeQuery

    KodoQuery createNativeQuery(String sql,
                                String resultMapping)

  Deprecated.
  Specified by:
    `createNativeQuery` in interface `EntityManager`
  Specified by:
    `createNativeQuery` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

### createQuery

    KodoQuery createQuery(String language,
                          String query)

  Deprecated.
  Create a new query in the given language.

  Specified by:
    `createQuery` in interface `org.apache.openjpa.persistence.OpenJPAEntityManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.